<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="layout.xsl"/>


<xsl:template name="title">
<xsl:choose>
	<xsl:when test="data/@action = 'ShowLoginsBalance'">  </xsl:when>
	<xsl:when test="data/@action = 'ShowSessions'"> </xsl:when>
	<xsl:when test="data/@action = 'ChangeLoginPassword'">   </xsl:when>
	<xsl:when test="data/@action = 'DispatchSession'"> </xsl:when>
	<xsl:when test="data/@action = 'DispatchAmount'">   </xsl:when>
	<xsl:when test="data/@action = 'DispatchDirect'">   </xsl:when>
	<xsl:when test="data/@action = 'ShowPeriods'"> </xsl:when>
	<xsl:when test="data/@action = 'DynDnsChange'">  </xsl:when>
</xsl:choose>
</xsl:template>


<xsl:template match="/data">
<xsl:choose>
	<xsl:when test="@action = 'ShowLoginsBalance'">
		<xsl:call-template name="ShowLoginsBalance"/>
	</xsl:when>
	<xsl:when test="@action = 'ShowSessions'">
	 	<xsl:call-template name="ShowSessions"/>
	</xsl:when>
	<xsl:when test="@action = 'ChangeLoginPassword'">
	 	<xsl:call-template name="ChangeLoginPassword"/>
	</xsl:when>	
	<xsl:when test="@action = 'DispatchSession'">
	 	<xsl:call-template name="DispatchSession"/>
	</xsl:when>
	<xsl:when test="@action = 'DispatchAmount'">
	 	<xsl:call-template name="DispatchAmount"/>
	</xsl:when>
	<xsl:when test="@action = 'DispatchDirect'">
	 	<xsl:call-template name="DispatchDirect"/>
	</xsl:when>
	<xsl:when test="@action = 'ShowPeriods'">
	 	<xsl:call-template name="ShowPeriods"/>
	</xsl:when>
	<xsl:when test="@action = 'DynDnsChange'">
	 	<xsl:call-template name="DynDnsChange"/>
	</xsl:when>
</xsl:choose>
</xsl:template>


<xsl:template name="DynDnsChange">
	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<xsl:call-template name="error"	/>

		<xsl:if test="@status = 'ok'"><div class="infoMessage"> !</div></xsl:if>
		<input type="hidden" name="save" value="save"/>
		<div class="report">
			<table cellspacing="1">
			<thead>
				<tr>
    				<td nowrap="1">:</td>
    				<td>  </td>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="logins/item">
				<tr>
					<td><xsl:value-of select="@title"/></td>	
					<td>
						<select>
							<xsl:attribute name="name">dns_<xsl:value-of select="@id"/></xsl:attribute>
							<option value="0">
								<xsl:if test="@dns='0'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
              					
          					</option>
          					<option value="1">
          						<xsl:if test="@dns='1'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
              					 
          					</option>
          					<option value="2">
          						<xsl:if test="@dns='2'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
              					 
          					</option>
						</select>
					</td>		
				</tr>
				</xsl:for-each>
				<tr>
					<td colspan="3">
						<xsl:call-template name="submit">
							<xsl:with-param name="title" select="''"/>
							<xsl:with-param name="align" select="'right'"/>
						</xsl:call-template>
					</td>
				</tr>
			</tbody>
			</table>
			<br/>
			<div> </div>
			<br/>
			<table cellspacing="1" >
				<thead>
					<tr>
	    				<td nowrap="1"></td>
				    	<td>  </td>
    					<td></td>
    					<td></td>
					</tr>
				</thead>
				<tbody>
					<xsl:for-each select="dnslogs/item">
						<tr>
							<td><xsl:value-of select="@login"/></td>	
							<td>
								<xsl:if test="@value=0"></xsl:if>
					          	<xsl:if test="@value=1"> </xsl:if>
					          	<xsl:if test="@value=2"> </xsl:if>
    	                  	</td>
							<td><xsl:value-of select="@date"/></td>
							<td><xsl:value-of select="@user"/></td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
		</div>
	</form>
</xsl:template>


<!--     -->
<xsl:template name="ChangeLoginPassword">
	<form method='post' action='{$WEBEXECUTER}'>
		<xsl:call-template name="action"/>
		<xsl:call-template name="error"	/>

		<xsl:if test="@status = 'ok'"><div class="infoMessage"> !</div></xsl:if>

		<div class="report">
			<table cellspacing="1">
			<tbody>
				<tr>
    				<td nowrap="1">:</td>
	    			<td>
     					<select name="login">
        					<xsl:call-template name="logins_list"/>
        				</select>
        			</td>
				</tr>  
    			<tr>
    				<td nowrap="1"> :</td>
					<td><input type="password" name='old_pswd' maxlength='15'/></td>
				</tr>
    			<tr>
        			<td nowrap="1"> :</td>
					<td><input type="password" name='pswd1' maxlength='15'/></td>
				</tr>
				<tr>
					<td nowrap="1"> :</td>
					<td><input type="password" name='pswd2' maxlength='15'/></td>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<td colspan='2'>
						<xsl:call-template name="submit"><xsl:with-param name="title" select="''"/></xsl:call-template>
					</td>
				</tr>
			</tfoot>
			</table>
		</div>
	</form>
</xsl:template>


<!--   -->
<xsl:template name="ShowSessions">

	<xsl:call-template name="error"/>
	
	<form method="post" action='{$WEBEXECUTER}#idDivReport' name="sessions">
		<xsl:variable name="module" select="/data/@module"/>
		<xsl:call-template name="action"/>
		<xsl:call-template name="sessionFilter"/>
	</form>
	
	<xsl:call-template name="AddReportReferences"/>
	
	<div class="report">
			
		<xsl:call-template name="pagesBar">
			<xsl:with-param name="node" select="sessions"/>
			<xsl:with-param name="data">
				<xsl:call-template name="action"/>
				<input type="hidden" name="createDetail" id="createDetailId" value="0"/>
				<div style="display:none">
					<!-- sessionFilter -->
					<xsl:call-template name="sessionFilter"/>
					<!-- sessionFilter -->
				</div>
			</xsl:with-param>
		</xsl:call-template>
			
	<form method="post" action='{$WEBEXECUTER}'>	
		<div>
			<table cellspacing="1" >
			<thead>
				<tr>
					<td></td>
					<td> </td>
					<td> </td>
					<td><br/> , .:.</td>
					<td>, .</td>
					<td>C / </td>
					<xsl:for-each select="sessions/traffic_title">
						<td>
							<xsl:value-of select="@title"/>
						</td>
					</xsl:for-each>
					<td>&#x0A;</td>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="sessions/row">
				<tr>
					<td><xsl:value-of select="@login"/></td>	
					<td><xsl:value-of select="@f0"/></td>
					<td><xsl:value-of select="@f1"/></td>
					<td><xsl:value-of select="@f2"/></td>
					<td><xsl:value-of select="@f3"/></td>
					<td><xsl:value-of select="@f4"/></td>
					<xsl:for-each select="traffic">
						<td>
							<xsl:value-of select="."/>
						</td>
					</xsl:for-each>
					<td><input type="radio" name="session_id" value="{@id}" style="margin:0px; padding:0px;"/></td>
				</tr>
				</xsl:for-each>
			</tbody>
			<tfoot>
			   <tr>
					<td colspan="3"> :&#160;<xsl:value-of select="sessions/@count_amount"/></td>	
					<td><xsl:value-of select="sessions/@time_amount"/></td>	
					<td><xsl:value-of select="sessions/@money_amount"/></td>
					<td>&#160;</td>
					<xsl:for-each select="sessions/traffic">
					<td>
			               <xsl:value-of select="."/>
				   </td>
					</xsl:for-each>
					<td>&#x0A;</td>
				</tr>
			</tfoot>               
			</table>
		</div>
		
		<br/>		
	
		<xsl:call-template name="action"/>
		<input type="hidden" name="createDetail" id="createDetailId" value="1"/>
		<div style="display:none">			
			<xsl:call-template name="sessionFilter"/>
		</div>
		<input id="idPageIndex" value="{sessions/@pageIndex}" name="pageIndex" type="hidden"/>		
		<xsl:choose>
			<xsl:when test="not(sessions/row)"></xsl:when>
			<xsl:when test="createDetail/@created='1'">
				<table cellspacing="0" class="filter">
					<tr>
						<th>    .</th>
					</tr>
				</table>
			</xsl:when>
			<xsl:otherwise>	
				<table cellspacing="0" class="filter" >
				<tr>
					<th>
						      email:
						<input type="text" name="mail" size="30"></input>
					</th>
					<th>
						<xsl:call-template name="submit">
							<xsl:with-param name="title"></xsl:with-param>
							<xsl:with-param name="guid">_send</xsl:with-param>
						</xsl:call-template>
					</th>
				</tr>
				</table>
			</xsl:otherwise>
		</xsl:choose>	
	</form>
	</div>
	
</xsl:template>


<!--    -->
<xsl:template name="ShowLoginsBalance">
	<form method='post' action='{$WEBEXECUTER}#idDivReport' name="sessions">
	<xsl:variable name="module" select="/data/@module"/>
	<xsl:call-template name="action"/>
	<input type="hidden" name="pageIndex" value="1"/>
	<table>
		<tr>
			<td>
				<table class="filter">
					<th>.  </th>
					<td>
						<select name='unit'>
							<xsl:call-template name="unit_list"/>
						</select>
					</td>
				</table>
			</td>
		<td>	
			<xsl:call-template name="periodFilter"/>
		</td>
		</tr>
	</table>
	
	<div class="report" >
		<table cellspacing='1' class="table800">
		<thead>
			<tr>
				<td></td>
		        <td> </td>
		        <td></td>
		        <td></td>
		        <xsl:for-each select="amounts/traffic_title">
						<td>
							<xsl:value-of select="@title"/>
						</td>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<xsl:for-each select="amounts/row">
			<tr>
				<td><xsl:value-of select="@f0"/></td>
				<td><xsl:value-of select="@f1"/></td>
				<td><xsl:value-of select="@f2"/></td>
				<td><xsl:value-of select="@f3"/></td>             
				<xsl:for-each select="traffic">
					<td>
			               <xsl:value-of select="."/>
				   </td>
				</xsl:for-each>
			</tr>
			</xsl:for-each>
		</tbody>
		<tfoot>
			<tr>
				<td>:</td>
				<td><xsl:value-of select="amounts/@count_amount"/></td>
				<td><xsl:value-of select="amounts/@time_amount"/></td>
				<td><xsl:value-of select="amounts/@money_amount"/></td>
				<xsl:if test="$module='dialup'">
				<xsl:for-each select="amounts/traffic">
					<td>
			               <xsl:value-of select="."/>
				   </td>
				</xsl:for-each>
				</xsl:if>
			</tr>
		</tfoot>
		</table>
	</div>
	</form>
</xsl:template>


<!--      -->
<xsl:template name="DispatchAmount">
<form action="{$WEBEXECUTER}" method="post">
	<xsl:call-template name="action"/>
	<input type="hidden" name="id"><xsl:attribute name="value"><xsl:value-of select="dispatch/@id"/></xsl:attribute></input>
	<input type="hidden" name="type"><xsl:attribute name="value"><xsl:value-of select="dispatch/@type"/></xsl:attribute></input>
	<input type="hidden" name="command" value="save"/>
	<xsl:call-template name="error"/>
		
	<div class="report">
		<table cellspacing='1' class="table800">
		<thead>
		  <tr>
		  	<td></td>
		  	<td></td>
		  	<td></td>
		  </tr>
		</thead>
		<tbody>
		  <tr>
			<th>:</th>
			<td>
				<input type="text" name="title" size="32">
					<xsl:attribute name="value"><xsl:value-of select="dispatch/@title"/></xsl:attribute>
				</input>
			</td>
			<td>
				<em class="comment">  ,  '
				  DialUP '.       .</em>
			</td>
		  </tr>
		  
		  <tr>	
			<th>:</th>
			<td>
				<textarea name="mails" rows="4" cols="25">
					<xsl:for-each select="dispatch/mail">
						<xsl:value-of select="@value"/>
						<xsl:if test="position() != last()">
							<xsl:value-of select="'	
							'"/>
						</xsl:if>
					</xsl:for-each>
				</textarea>
			</td>
			<td><em class="comment">
				       .
				    .</em>
			</td>
  		  </tr>
  		  
  		  <tr>			
			<th>:</th>
			<td>
				<select name="status">
					<option value="0"></option>
					<option value="1"><xsl:if test="dispatch/@status='1'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if></option>
				</select>
			</td>
			<td><em class="comment">      .</em></td>
		 </tr>
		 <tr>	
			<th nowrap="1">  ( 1-7 ):</th>
			<td>
				<input type="text" name="dw">
					<xsl:attribute name="value"><xsl:value-of select="dispatch/@dw"/></xsl:attribute>
				</input>
			</td>
			<td><em class="comment">
				 ,  1 - 7 (   ), 1, 2 ( ,  )
				     .</em>
			</td>
		 </tr>
		</tbody>
		<tfoot>
		  <tr>
			<td colspan="3">	
			<xsl:call-template name="okCancel">
				<xsl:with-param name="title1" select="''"/>
				<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=Subscription&#38;mid=contract&#38;module=contract' );</xsl:with-param>
			</xsl:call-template>
			</td>
		  </tr>	
		</tfoot>
		</table>
	</div>			
</form>		
</xsl:template>


<!--     -->
<xsl:template name="DispatchSession">
<form action="{$WEBEXECUTER}" method="post">
<xsl:call-template name="action"/>
<input type="hidden" name="id"><xsl:attribute name="value"><xsl:value-of select="dispatch/@id"/></xsl:attribute></input>
<input type="hidden" name="type"><xsl:attribute name="value"><xsl:value-of select="dispatch/@type"/></xsl:attribute></input>
<input type="hidden" name="command" value="save"/>
		
<xsl:call-template name="error"/>
		
<div class="report">
		<table cellspacing='1' class="table800">
		<thead>
		  <tr>
		  	<td></td>
		  	<td></td>
		  	<td></td>
		  </tr>
		 </thead>
		 <tbody>
		  <tr>
			<th>:</th>
			<td>
				<input type="text" name="title" size="32">
					<xsl:attribute name="value"><xsl:value-of select="dispatch/@title"/></xsl:attribute>
				</input>
			</td>
			<td><em class="comment">
				  ,  '  test'.	
				      .</em>
			</td>
		  </tr>
		  		  
		  <tr>
			<th>:</th>
			<td>
				<select name="lid">
					<xsl:for-each select="/data/logins/item">
          				<option>
              				<xsl:if test="/data/dispatch/@lid=@id"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
              				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
              				<xsl:value-of select="@title"/>
          				</option>
      				</xsl:for-each>	
				</select>
			</td>
			<td>
				<em class="comment">,    .</em>
			</td>
		  </tr>
		  
		  <tr>	
			<th>:</th>
			<td>
				<textarea name="mails" rows="4" cols="25">
					<xsl:for-each select="dispatch/mail">
						<xsl:value-of select="@value"/>
						<xsl:if test="position() != last()">
							<xsl:value-of select="'	
							'"/>
						</xsl:if>
					</xsl:for-each>
				</textarea>
			</td>
			<td>			
				<em class="comment">     
				 .     .</em>
			</td>
  		  </tr>
  		  
  		  <tr>			
			<th>:</th>
			<td>
				<select name="status">
					<option value="0"></option>
					<option value="1"><xsl:if test="dispatch/@status='1'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if></option>
				</select>
			</td>
			<td><em class="comment">      .</em></td>
		 </tr>
		 <tr>	
			<th nowrap="1">  ( 1-7 ):</th>
			<td>
				<input type="text" name="dw">
					<xsl:attribute name="value"><xsl:value-of select="dispatch/@dw"/></xsl:attribute>
				</input>
			</td>
			<td>
				<em class="comment"> ,  1 - 7 (   ),
				1, 2 ( ,  )      .</em>
			</td>
		 </tr>	
		</tbody>
		<tfoot>	  
		  <tr>
			<td colspan="3">
			<xsl:call-template name="okCancel">
				<xsl:with-param name="title1" select="''"/>
				<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=Subscription&#38;mid=contract&#38;module=contract' );</xsl:with-param>
			</xsl:call-template>
			</td>
		  </tr>
		</tfoot>		
		</table>
</div>		
</form>		
</xsl:template>

<!--      -->
<xsl:template name="DispatchDirect">
<form action="{$WEBEXECUTER}" method="post">
<xsl:call-template name="action"/>
<input type="hidden" name="id"><xsl:attribute name="value"><xsl:value-of select="dispatch/@id"/></xsl:attribute></input>
<input type="hidden" name="type"><xsl:attribute name="value"><xsl:value-of select="dispatch/@type"/></xsl:attribute></input>
<input type="hidden" name="command" value="save"/>

<xsl:call-template name="error"/>

<div class="report">
		<table cellspacing='1' class="table800">
		<thead>
		  <tr>
		  	<td></td>
		  	<td></td>
		  	<td></td>
		  </tr>
		 </thead>
		 <tbody>
		  <tr>
			<th>:</th>
			<td>
				<input type="text" name="title" size="32">
					<xsl:attribute name="value"><xsl:value-of select="dispatch/@title"/></xsl:attribute>
				</input>
			</td>
			<td>
				<em class="comment">  ,  ' 
				    11111'.	  
				   .</em>
			</td>
		  </tr>
		  		  
		  <tr>
			<th>
				<xsl:if test="/data/@module = 'voiceip'">:</xsl:if>
				<xsl:if test="/data/@module = 'voice'">:</xsl:if>			
			</th>
			<td>
				<select name="lid">
					<xsl:for-each select="/data/logins/item">
          				<option>
              				<xsl:if test="/data/dispatch/@lid=@id"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
              				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
              				<xsl:value-of select="@title"/>
          				</option>
      				</xsl:for-each>	
				</select>
			</td>
			<td>
				<em class="comment"> (  ),    .</em>
			</td>
		  </tr>
		  
		  <tr>	
			<th>:</th>
			<td>
				<textarea name="mails" rows="4" cols="25">
					<xsl:for-each select="dispatch/mail">
						<xsl:value-of select="@value"/>
						<xsl:if test="position() != last()">
							<xsl:value-of select="'	
							'"/>
						</xsl:if>
					</xsl:for-each>
				</textarea>
			</td>
			<td>			
				<em class="comment">     
				 .     .</em>
			</td>
  		  </tr>
  		  
  		  <tr>			
			<th>:</th>
			<td>
				<select name="status">
					<option value="0"></option>
					<option value="1"><xsl:if test="dispatch/@status='1'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if></option>
				</select>
			</td>
			<td><em class="comment">      .</em></td>
		 </tr>
		 <tr>	
			<th nowrap="1">  ( 1-7 ):</th>
			<td>
				<input type="text" name="dw">
					<xsl:attribute name="value"><xsl:value-of select="dispatch/@dw"/></xsl:attribute>
				</input>
			</td>
			<td><em class="comment">
				 ,  1 - 7 (   ), 1, 2 ( ,  )
				     .</em>
			</td>
		 </tr>		  
		</tbody>
		<tfoot>
		  <tr>
			<td colspan="3">
			<xsl:call-template name="okCancel">
				<xsl:with-param name="title1" select="''"/>
				<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=Subscription&#38;mid=contract&#38;module=contract' );</xsl:with-param>
			</xsl:call-template>			
			</td>
		  </tr>
		</tfoot>		
		</table>
</div>			
</form>		
</xsl:template>


<!--   -->
<xsl:template name="ShowPeriods" >
	<div class="report" >
		<table cellspacing='1' border="0">
		<thead>
			<tr>
				<td></td>
				<td></td>
			</tr>
		</thead>
		<tbody>
			<xsl:for-each select="periods/row">
			<tr>
				<td><xsl:value-of select="@start"/></td>	
				<td><xsl:value-of select="@end"/></td>
			</tr>
			</xsl:for-each>
		</tbody>
		</table>
	</div>
</xsl:template>


<xsl:template name="AddReportReferences">
	<div>
		  :
		<a title="CSV" href="{$WEBEXECUTER}?module=dialup&amp;mid={/data/@mid}&amp;action=ShowSessions&amp;login={/data/logins/@id}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;unit={/data/unit/@unit}&amp;file=1&amp;output=csv">CSV</a>,
		<a title="HTML" href="{$WEBEXECUTER}?module=dialup&amp;mid={/data/@mid}&amp;action=ShowSessions&amp;login={/data/logins/@id}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;unit={/data/unit/@unit}&amp;file=1&amp;output=html">HTML</a>,
		<a title="CSV/ZIP" href="{$WEBEXECUTER}?module=dialup&amp;mid={/data/@mid}&amp;action=ShowSessions&amp;login={/data/logins/@id}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;unit={/data/unit/@unit}&amp;file=1&amp;output=csv&amp;zip=1">CSV/ZIP</a>,
		<a title="HTML/ZIP" href="{$WEBEXECUTER}?module=dialup&amp;mid={/data/@mid}&amp;action=ShowSessions&amp;login={/data/logins/@id}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;unit={/data/unit/@unit}&amp;file=1&amp;output=html&amp;zip=1">HTML/ZIP</a> (     "")
	</div>
</xsl:template>

</xsl:stylesheet>